Vagrant Chef apt:是否可以在Ubuntu VM上安装特定版本的deb软件包?

发布时间:2020-04-08 发布网站:大佬教程
大佬教程收集整理的这篇文章主要介绍了Vagrant Chef apt:是否可以在Ubuntu VM上安装特定版本的deb软件包?大佬教程大佬觉得挺不错的,现在分享给大家,也给大家做个参考。
我正在使用Vagrant和Chef来构建一个Ubuntu 12.04虚拟机.我正在使用opscode cookbook: https://github.com/opscode/cookbooks

我想使用opscode apt cookbook来安装软件包.我想确保它安装特定版本的软件包,以确保构建环境一致.这是我正在尝试做的一个例子:

package "git" do
  action :install
end

我知道如果你从命令行使用apt安装包,你可以像这样指定版本:

apt-get install git=1:1.7.9.5-1

但我无法通过食谱弄清楚如何做到这一点.这可能吗?

解决方法

我想我想通了.这很简单:
package "git" do
  version "1:1.7.9.5-1"
  action :install
end

大佬总结

以上是大佬教程为你收集整理的Vagrant Chef apt:是否可以在Ubuntu VM上安装特定版本的deb软件包?全部内容,希望文章能够帮你解决Vagrant Chef apt:是否可以在Ubuntu VM上安装特定版本的deb软件包?所遇到的程序开发问题。

如果觉得大佬教程网站内容还不错,欢迎将大佬教程推荐给程序员好友。

本图文内容来源于网友网络收集整理提供,作为学习参考使用,版权属于原作者。
如您有任何意见或建议可联系处理。小编QQ群:277859234,请注明来意。